# texteff.hpp File Reference

Functions related to text effects. More...

`#include "gfx_type.h"`
`#include "strings_type.h"`

Go to the source code of this file.

## Typedefs
typedef uint16 | TextEffectID
## Enumerations
enum | TextEffectMode { TE_RISING, TE_STATIC, INVALID_TE_ID = 0xFFFF }
| Text effect modes. More...
## Functions
void | MoveAllTextEffects ()
TextEffectID | AddTextEffect (StringID msg, int x, int y, uint8 duration, TextEffectMode mode)
void | InitTextEffects ()
void | DrawTextEffects (DrawPixelInfo *dpi)
void | UpdateTextEffect (TextEffectID effect_id, StringID msg)
void | RemoveTextEffect (TextEffectID effect_id)
TextEffectID | ShowFillingPercent (int x, int y, int z, uint8 percent, StringID colour)
void | UpdateFillingPercent (TextEffectID te_id, uint8 percent, StringID colour)
void | HideFillingPercent (TextEffectID *te_id)

## Detailed Description

Functions related to text effects.

Definition in file texteff.hpp.

## Enumeration Type Documentation

enum TextEffectMode

Text effect modes.

Enumerator:

  TE_RISING | Make the text effect slowly go upwards.
  TE_STATIC | Keep the text effect static.

Definition at line 21 of file texteff.hpp.